#pragma once
#include <sys/types.h>

enum KLIST_SQL {
  INIT,
  ADD_LOGIN,
  ADD_USER,
  GET_USER,
  GET_USER_BY_LOCAL,
  GET_USERS,
  MOD_USER_NAME,
  DEL_USER,
  ADD_LIST,
  GET_LIST,
  GET_LISTS,
  GET_LISTS_BY_USER,
  GET_LISTS_BY_USER_NAME,
  MOD_LIST_NAME,
  DEL_LIST,
  ADD_STAGE,
  GET_STAGE,
  GET_STAGES_FOR_LIST,
  DEL_STAGE,
  ADD_TASK,
  GET_TASK,
  GET_TASKS,
  GET_TASKS_FOR_LIST,
  GET_TASKS_FOR_LIST_BY_NAME,
  MOD_TASK_NAME,
  MOD_TASK_DESCRIPTION,
  DEL_TASK,
  _KLIST_SQL_COUNT
};

const char *klist_sql_get(const enum KLIST_SQL);
